Bug 445740 - mkinitrd option for no modules at all
mkinitrd option for no modules at all
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: mkinitrd (Show other bugs)
11
All Linux
low Severity low
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-08 16:22 EDT by Roland McGrath
Modified: 2010-01-12 10:31 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-01-12 10:31:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Roland McGrath 2008-05-08 16:22:39 EDT
For kernel hackers, it would be nice to have a way to invoke mkinitrd that makes
an initrd suitable for booting with an all-compiled-in kernel that needs no
modules loaded at boot time.  Since the advent of udev or something or other a
few releases back, it's impossible to boot a Fedora system without an initrd.

What I do now is take the initrd created by a normal kernel rpm install, unpack
it, remove the .ko files, edit it's /init to remove all the modprobe calls, and
pack it up again into /boot/initrd-bzImage.img for use with hand-built kernels.
Comment 1 Bug Zapper 2008-05-14 06:51:26 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Jeremy Katz 2009-05-05 17:59:05 EDT
Roland -- does this work with some of the changes we made in F10 for various things being built-in?
Comment 3 Roland McGrath 2009-05-05 22:22:28 EDT
Well, I'm not quite sure what "does this work" means when the request was for a new way to run mkinitrd that there wasn't before.  With mkinitrd-6.0.71-4.fc10.x86_64 I can manage to find some combination of  --omit-{scsi,raid,lvm}-modules and --builtin={this,that} that makes it leave out any actual .ko files from the initrd and doesn't try to load any at boot, so it actually boots without hand-editting the initrd.

However, I still have to pick some lie about the kernel version for the second command line argument, or it says "No modules available for kernel "foo"".  I would like it to notice that it didn't want any modules anyway, and not insist on sticking some random /lib/modules/foo/modules.* files in there.  It would also be nice to have a single option like --no-modules that makes it simple to figure out how to invoke the bugger correctly for this case.
Comment 4 Bug Zapper 2009-06-09 20:41:34 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Hans de Goede 2010-01-12 10:31:29 EST
This is a mass edit of all mkinitrd bugs.

Thanks for taking the time to file this bug report (and/or commenting on it).

As you may have heard in Fedora 12 mkinitrd has been replaced by dracut. In Fedora 12 the mkinitrd package is still around as some programs depend on
certain libraries it provides, but mkinitrd itself is no longer used.

In Fedora 13 mkinitrd will be removed completely. This means that all work
on initrd has stopped.

Rather then keeping mkinitrd bugs open and giving false hope they might get fixed we are mass closing them, so as to clearly communicate that no more work will be done on mkinitrd. We apologize for any inconvenience this may cause. 

If you are using Fedora 11 and are experiencing a mkinitrd bug you cannot work around, please upgrade to Fedora 12. If you experience problems with the initrd in Fedora 12, please file a bug against dracut.

Note You need to log in before you can comment on or make changes to this bug.